package com.anagog.anagog_flutter.model
import com.anagog.jedai.common.stats.Stats
import com.google.gson.annotations.SerializedName

data class PluginConfig(
    @SerializedName("userDefinedStats") val userDefined: Map<String, Any> = mutableMapOf(),
    val notificationChannelId: String? = null,
    val reportUserConsent: Boolean = false,
    val foregroundAlwaysOn: Boolean = false,
    val latestMs: Boolean = true,
    val clientName : String? = null,
    val reportBaseUrl: String? = null,
    val manifestUrl: String? = null,
    val remoteConfigUrl: String? = null) {
    fun getUserDefinedStats(): Map<String, Stats.Type> {
        val userDefinedStats = mutableMapOf<String, Stats.Type>()
        userDefined.entries.forEach { entry ->
            when (entry.value) {
                "INTEGER" -> userDefinedStats[entry.key] = Stats.Type.USER_DEFINED_INTEGER
                "DECIMAL" -> userDefinedStats[entry.key] = Stats.Type.USER_DEFINED_DECIMAL
                else -> userDefinedStats[entry.key] = Stats.Type.USER_DEFINED_STRING
            }
        }
        return userDefinedStats
    }
}
